LIRC libraries Linux Infrared Remote Control

Loading...
Searching...
No Matches
Macros | Functions
serial.c File Reference

Implements serial.h. More...

`#include <limits.h>`
`#include <poll.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <termios.h>`
`#include <string.h>`
`#include <fcntl.h>`
`#include <errno.h>`
`#include <dirent.h>`
`#include <signal.h>`
`#include <unistd.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <sys/ioctl.h>`
`#include "lirc/lirc_log.h"`
`#include "lirc/curl_poll.h"`

Go to the source code of this file.

## Macros
#define | LIRC_LOCKDIR "/var/lock/lockdev"

## Functions
int | tty_reset (int fd)
| Set the cfmakeraw termio options.
int | tty_setrtscts (int fd, int enable)
| Set/clear CTS control line.
int | tty_setdtr (int fd, int enable)
| Set/clear DTR control line.
int | tty_setbaud (int fd, int baud)
| Set the speed a.
int | tty_setcsize (int fd, int csize)
| Set the character size.
int | tty_create_lock (const char *name)
| Creates a lock file of the type /var/local/LCK.
int | tty_delete_lock (void)
| Delete any legacy lock(s) owned by this process.
int | tty_set (int fd, int rts, int dtr)
| Set RTS and DTR control lines.
int | tty_clear (int fd, int rts, int dtr)
| Clear RTS and DTR control lines.
int | tty_write (int fd, char byte)
| Write a single byte to serial device.
int | tty_read (int fd, char *byte)
| Read a single byte from serial device.
int | tty_write_echo (int fd, char byte)
| Write a single byte and check the echo from remote party.

## Detailed Description

Implements serial.h.

Author
  Christoph Bartelmus

Definition in file serial.c.

## Macro Definition Documentation

## ◆ LIRC_LOCKDIR

#define LIRC_LOCKDIR "/var/lock/lockdev"

Definition at line 22 of file serial.c.